This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 586120 - iptstate misses IPv6 support
iptstate misses IPv6 support
Status: NEW
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: iptstate (Show other bugs)
6.0
All Linux
low Severity low
: rc
: ---
Assigned To: Thomas Woerner
qe-baseos-daemons
: Rebase
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-04-26 16:34 EDT by Peter Bieringer
Modified: 2016-06-30 14:15 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Story Points: ---
Clone Of: 477682
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Peter Bieringer 2010-04-26 16:34:54 EDT
Final RHEL6 should be also have fixed this issue because of:

http://www.redhat.com/rhel/beta/
Next generation networking: comprehensive IPv6 support

# rpm -qf `which iptstate` 
iptstate-2.2.2-4.el6.i686

# LC_ALL=C netstat -n -A inet6
Active Internet connections (w/o servers)
Proto Recv-Q Send-Q Local Address               Foreign Address             State      
tcp        0      0 2001:xxxx:xxxx:65:5054:ff:22 2001:xxxx:xxxx:65:5054:52566 ESTABLISHED 


# iptstate -1
IP Tables State Top -- Sort by: SrcIP
Source                 Destination            Prt  State       TTL      
...(not showing any IPv6 connection)



+++ This bug was initially created as a clone of Bug #477682 +++

Description of problem:
iptstate does not show IPv6 connections, but /proc/net/nf_conntrack has some

Version-Release number of selected component (if applicable):
iptstate-2.2.1-3.fc9.i386

How reproducible:
Always

Steps to Reproduce:
1. start iptstate
2. open a IPv6 connection e.g. SSH or telnet to an IPv6 webserver
3. check iptstate output
  
Actual results:
IPv6 connection is not shown

Expected results:
IPv6 connection should appear in table

--- Additional comment from twoerner@redhat.com on 2009-06-03 09:59:56 EDT ---

iptstate is only capable of displaying IPv4 information, there is no IPv6 support currently. IPv6 support is on the WISHLIST of iptstate, though.

--- Additional comment from twoerner@redhat.com on 2009-11-10 10:34:50 EST ---

Assigning to rawhide as a RFE.
Comment 2 RHEL Product and Program Management 2010-04-26 17:26:48 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.
Comment 4 RHEL Product and Program Management 2011-07-05 20:09:26 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unfortunately unable to
address this request at this time. Red Hat invites you to
ask your support representative to propose this request, if
appropriate and relevant, in the next release of Red Hat
Enterprise Linux. If you would like it considered as an
exception in the current release, please ask your support
representative.
Comment 6 RHEL Product and Program Management 2012-07-10 01:48:06 EDT
This request was not resolved in time for the current release.
Red Hat invites you to ask your support representative to
propose this request, if still desired, for consideration in
the next release of Red Hat Enterprise Linux.
Comment 7 RHEL Product and Program Management 2012-07-10 19:30:38 EDT
This request was erroneously removed from consideration in Red Hat Enterprise Linux 6.4, which is currently under development.  This request will be evaluated for inclusion in Red Hat Enterprise Linux 6.4.
Comment 9 RHEL Product and Program Management 2013-10-13 21:21:21 EDT
This request was evaluated by Red Hat Product Management for
inclusion in the current release of Red Hat Enterprise Linux.
Because the affected component is not scheduled to be updated
in the current release, Red Hat is unable to address this
request at this time.

Red Hat invites you to ask your support representative to
propose this request, if appropriate, in the next release of
Red Hat Enterprise Linux.

Note You need to log in before you can comment on or make changes to this bug.